import request from '/@/utils/request';
import { paramsData, ProjectExitFeedback } from '/@/views/invMid/committeeReview/interface/type';

// 新增投资与资源利用专委会申请
export function addCommitteeApplication(data: ProjectExitFeedback) {
	return request({
		url: '/admin/committeeApplication/add',
		method: 'post',
		data
	})
}
// 列表
// /admin/committeeApplication/page
export function getCommitteeApplicationPage(data: paramsData) {
	return request({
		url: '/admin/committeeApplication/page',
		method: 'post',
		data
	})
}
// 查看
// /admin/committeeApplication/view
export function getCommitteeApplicationView(id: number) {
	return request({
		url: `/admin/committeeApplication/view`,
		method: 'get',
		params: { id }
	})
}
// 根据流程实例id查询
export function getByProcessInstanceId(processInstanceId: string) {
	return request({
		url: `/admin/committeeApplication/getByProcessInstanceId`,
		method: 'get',
		params: { processInstanceId }
	})
}
// 根据模板id查询
export function getByTemplateId(templateId: string) {
    return request({
        url: `/admin/committeeApplication/getByTemplate`,
        method: 'get',
        params: { templateId }
    })
}